%define _prefix /opt/freeware
%define _defaultdocdir %{_prefix}/doc

%define gtk_version 2.2.1
%define glib2_version 2.2.1
%define libart_lgpl_version 2.3.11
%define pkgconfig_version 0.15.0

Summary: 	Zvt terminal widget library
Name:		libzvt
Version:	2.0.1
Release: 	1
URL: 		ftp://ftp.gnome.org
Source:         %{name}-%{version}.tar.bz2

Patch0:		libzvt-2.0.1-aix.patch
Patch1:		libzvt-2.0.1-autotools.patch

License:        LGPL
Group:          System Environment/Libraries
BuildRoot:      %{_tmppath}/%{name}-%{version}-root

Requires:       pkgconfig >= %{pkgconfig_version}

BuildRequires:  glib2-devel >= %{glib2_version}
BuildRequires:  gtk2-devel >= %{gtk_version}
BuildRequires:  libart_lgpl-devel >= %{libart_lgpl_version}


%description
The libzvt package contains a terminal widget for GTK+.
It's used by gnome-terminal among other programs.

%package devel
Summary:     Libraries and headers for libzvt
Group:       Development/Libraries
Requires:    %name = %{version}
Requires:    glib2-devel >= %{glib2_version}
Requires:    gtk2-devel >= %{gtk_version}
Requires:    libart_lgpl-devel >= %{libart_lgpl_version}

%description devel
The libzvt package contains a terminal widget for GTK+.
It's used by gnome-terminal among other programs.

You should install the libzvt-devel package if you would like to
compile applications that use the zvt terminal widget. You do not need
to install libzvt-devel if you just want to use precompiled
applications.

%prep
%setup -q

if test x$PATCH = x ; then
  PATCH=patch ;
fi
$PATCH -p2 -s < %{_sourcedir}/libzvt-2.0.1-aix.patch
$PATCH -p2 -s < %{_sourcedir}/libzvt-2.0.1-autotools.patch


%build
PATH=%{_bindir}:$PATH ./configure --prefix=%{_prefix}
make

%install
if test "%{buildroot}" != "/"; then
        rm -rf %{buildroot}
fi
mkdir -p %{buildroot}
make DESTDIR=%{buildroot} install-strip

# Make the links
cd %{buildroot}
for dir in lib include
do
        mkdir -p usr/$dir
        cd usr/$dir
        ln -sf ../..%{_prefix}/$dir/* .
        cd -
done

%clean

%files 
%defattr(-,root,system)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README
%attr(2755, root, system) %{_libexecdir}/libzvt-2.0/gnome-pty-helper
%{_libdir}/*.a

/usr/lib/lib*.a

%files devel
%defattr(-,root,system)
%{_libdir}/*.la
%{_libdir}/pkgconfig/*
%{_includedir}/*

/usr/include/*
